# Uses of Class
java.io.PipedOutputStream

Packages that use PipedOutputStream
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

## Uses of PipedOutputStream in java.io

Methods in java.io with parameters of type PipedOutputStream
Modifier and Type
Method
Description
`void`
PipedInputStream.`connect(PipedOutputStream src)`
Causes this piped input stream to be connected to the piped output stream `src`.
Constructors in java.io with parameters of type PipedOutputStream
Modifier
Constructor
Description
``
`PipedInputStream(PipedOutputStream src)`
Creates a `PipedInputStream` so that it is connected to the piped output stream `src`.
``
`PipedInputStream(PipedOutputStream src, int pipeSize)`
Creates a `PipedInputStream` so that it is connected to the piped output stream `src` and uses the specified pipe size for the pipe's buffer.